SDL_BlitMap Struct Reference

`#include <SDL_blit.h>`

Collaboration diagram for SDL_BlitMap:
[legend]

## Data Fields

SDL_Surface * | dst
int | identity
SDL_blit | blit
void * | data
SDL_BlitInfo | info
Uint32 | dst_palette_version
Uint32 | src_palette_version

## Detailed Description

Definition at line 86 of file SDL_blit.h.

## Field Documentation

## blit

SDL_blit SDL_BlitMap::blit

Definition at line 90 of file SDL_blit.h.

## data

void* SDL_BlitMap::data

Definition at line 91 of file SDL_blit.h.

Referenced by SDL_RLEAlphaBlit(), and SDL_RLEBlit().

## dst

SDL_Surface* SDL_BlitMap::dst

Definition at line 88 of file SDL_blit.h.

Referenced by RLEAlphaSurface().

## dst_palette_version

Uint32 SDL_BlitMap::dst_palette_version

Definition at line 96 of file SDL_blit.h.

## identity

int SDL_BlitMap::identity

Definition at line 89 of file SDL_blit.h.

## info

SDL_BlitInfo SDL_BlitMap::info

Definition at line 92 of file SDL_blit.h.

Referenced by SDL_ConvertSurface(), SDL_CreateSurfaceOnStack(), SDL_RLEBlit(), and SDL_SaveBMP_RW().

## src_palette_version

Uint32 SDL_BlitMap::src_palette_version

Definition at line 97 of file SDL_blit.h.

The documentation for this struct was generated from the following file:

- src/video/SDL_blit.h